2017-12-13 22:24 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004139Kali Linux[All Projects] Kali Package Bugpublic2017-09-11 08:44
Reportersbrun 
Assigned Tosbrun 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version2017.1 
Target Version2017.2Fixed in Version2017.2 
Summary0004139: Faraday doesn't start because of couchdb
DescriptionFaraday doesn't start:
2017-08-10 00:33:42,320 - faraday.launcher - INFO - Starting Faraday IDE.
2017-08-10 00:33:42,320 - faraday.launcher - INFO - Checking configuration.
2017-08-10 00:33:42,320 - faraday.launcher - INFO - Setting up plugins.
2017-08-10 00:33:42,321 - faraday.launcher - INFO - Removing old plugins folder.
2017-08-10 00:33:42,337 - faraday.launcher - INFO - Setting up ZSH integration.
2017-08-10 00:33:42,338 - faraday.launcher - INFO - Setting up user configuration.
2017-08-10 00:33:42,338 - faraday.launcher - INFO - Using custom user configuration.
2017-08-10 00:33:42,338 - faraday.launcher - INFO - Setting up icons for GTK interface.
2017-08-10 00:33:42,341 - faraday.launcher - INFO - Setting configuration.
2017-08-10 00:33:42,406 - faraday.launcher - INFO - All done. Opening environment.
2017-08-10 00:33:42,511 - faraday.launcher - INFO - Main application ExceptHook enabled.
2017-08-10 00:33:42,511 - faraday.launcher - INFO - Starting main application.

'* faraday ui is ready '
Make sure you got couchdb up and running.
If couchdb is up, point your browser to:
[http://127.0.0.1:5985/_ui]

2017-08-10 00:33:42,512 - faraday - INFO - XMLRPC API server configured on ('localhost', 9876)
2017-08-10 00:33:42,516 - faraday - INFO - REST API server configured on ('localhost', 9977)
2017-08-10 00:33:42,543 - faraday.Server-GTK IO - WARNING - Couldn't get a valid response from the server when requesting to URL http://127.0.0.1:5985/_api/ws and function <function get at 0x7f2b59b54f50>.
2017-08-10 00:36:29,510 - faraday.GTK - ERROR - Couldn't get a valid response from the server when requesting to URL http://127.0.0.1:5985/_api/ws and function <function get at 0x7f2b59b54f50>.
2017-08-10 00:36:29,511 - faraday - INFO - Closing Faraday...

upstream bug: https://github.com/infobyte/faraday/issues/212
Additional InformationThe problem comes from couchdb service which doesn't start anymore... It fails because of an "Erlang error".Debian updated Erlang to version 20.0.1
We just can't update couchdb for Erlang 20.0.1 because the latest upstream version of couchdb is for Erlang =< 19.x
Attached Files

-Relationships
+Relationships

-Notes

~0007218

hoschi (reporter)

hi, figured out the same prob.
tested it on an old vm-snapshot.
as long as i'm holding back the following package-upgrades, couchdb runs as a charm. as soon as im applying them, couchdb won#t start anymore.

####################################
apt-mark hold erlang-asn1 erlang-base erlang-crypto erlang-eunit erlang-inets erlang-mnesia erlang-os-mon erlang-public-key
  erlang-runtime-tools erlang-snmp erlang-ssl erlang-syntax-tools erlang-tools erlang-xmerl
####################################

BR
hoschi

~0007261

sbrun (manager)

I just uploaded in kali-dev-only:
- a new source package erlang17 with erlang version 17
- couchdb version 1.6.2~20151123-0kali5 that depends on the new binary packages erlang17-*
- python-faraday version 2.6.2-0kali1 thats depends on the new version of couchdb

The command "apt dist-upgrade" upgrades all the packages and fixes this issue.

NB: erlang-* packages are not co-installable with erlang17-*

~0007285

hoschi (reporter)

works for me!
thx
hoschi
+Notes

-Issue History
Date Modified Username Field Change
2017-08-10 19:37 sbrun New Issue
2017-08-10 19:37 sbrun Status new => assigned
2017-08-10 19:37 sbrun Assigned To => sbrun
2017-08-31 09:28 hoschi Note Added: 0007218
2017-09-08 08:29 sbrun Note Added: 0007261
2017-09-11 08:39 hoschi Note Added: 0007285
2017-09-11 08:44 rhertzog Status assigned => resolved
2017-09-11 08:44 rhertzog Resolution open => fixed
2017-09-11 08:44 rhertzog Fixed in Version => 2017.2
+Issue History